package com.liquidnet.service.kylin.dto.vo.admin;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 退款手续费说明
 * </p>
 *
 * @author jiangxiulong
 * @since 2021-10-13
 */
@Data
public class OrderRefundPoundageAll implements Serializable, Cloneable {
    private static final long serialVersionUID = -5077177070181399707L;
    @ApiModelProperty(value = "特殊说明")
    private String explain;
    @ApiModelProperty(value = "手续费列表")
    private List<OrderRefundPoundage> orderRefundPoundageList;

    private static final OrderRefundPoundageAll obj = new OrderRefundPoundageAll();

    public static OrderRefundPoundageAll getNew() {
        try {
            return (OrderRefundPoundageAll) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new OrderRefundPoundageAll();
        }
    }
}
